Mask toggleCarry and Halted flags in endpoint descriptor dword #2 so that
the remaining head pointer field is valid for comparing with the next pointer.

Signed-off-by: Scott Duplichan <scott@notabs.org>


--- seabios-0.6.2-original\src\usb-ohci.c	Mon Feb 28 21:10:57 2011
+++ seabios-0.6.2\src\usb-ohci.c	Sun May 29 02:47:30 2011
@@ -501,7 +501,7 @@
 
     struct ohci_pipe *pipe = container_of(p, struct ohci_pipe, pipe);
     struct ohci_td *tds = GET_FLATPTR(pipe->tds);
-    struct ohci_td *head = (void*)GET_FLATPTR(pipe->ed.hwHeadP);
+    struct ohci_td *head = (void*)(GET_FLATPTR(pipe->ed.hwHeadP) & 0xffffffff0);
     struct ohci_td *tail = (void*)GET_FLATPTR(pipe->ed.hwTailP);
     int count = GET_FLATPTR(pipe->count);
     int pos = (tail - tds + 1) % count;
